import {Routes, Route, Outlet, Navigate, BrowserRouter} from "react-router-dom";
import {Container} from "@mui/material";
import {useSelector} from "react-redux";
import AppToolbar from "./components/UI/AppToolBar/AppToolBar";


const App = () => {
    return (
    <BrowserRouter>
      <Routes>
          <Route element={
            <>
              <AppToolbar/>
              <main>
                  <Container>
                      <Outlet/>
                  </Container>
              </main>
            </>
          }>
            <Route path={"/"} element={<h1>week page</h1>}/>
            <Route path={"/week"} element={<h1>week page</h1>}/>
            <Route path={"/month"} element={<h1>month page</h1>}/>
            <Route path={"/my-tasks"} element={<h1>my tasks page</h1>}/>
            <Route path={"/workers-tasks"} element={<h1>workers tasks page</h1>}/>
            <Route path={"/profile/:id"} element={<h1>profile page</h1>}/>
            <Route path={"/sign-up"} element={<h1>sign-up page</h1>}/>
            <Route path={"/log-in"} element={<h1>log-in page</h1>}/>
            <Route path='*' element={<h1>404</h1>}/>
          </Route>
      </Routes>
    </BrowserRouter>
    )
};

export default App;
