import {AppBar, Box, Toolbar, Typography, Button} from "@mui/material";
import {NavLink} from "react-router-dom";
import {useSelector} from "react-redux";
import HasAccess from "../HasAccess/HasAccess";

const AppToolbar = () => {
    const user = useSelector(state => state.users.user);

    return <Box sx={{ flexGrow: 1, mb: "40px" }}>
        <AppBar position="static">
            <Toolbar>
                <Typography 
                    variant="h4" 
                    component="div" 
                    sx={{ flexGrow: 1 }}>

                    <NavLink to='/' style={{textDecoration: 'none', color: 'inherit'}}>Task Manager</NavLink>
                </Typography>
                <Button
                    component={NavLink}
                    to="/week"
                    color="inherit"
                    size="large"
                >
                    Неделя
                </Button>
                <Button
                    component={NavLink}
                    to="/month"
                    color="inherit"
                    size="large"
                >
                    Месяц
                </Button>
                <Button
                    component={NavLink}
                    to="/my-tasks"
                    color="inherit"
                    size="large"
                >
                    Мои задачи
                </Button>
                <Button
                    component={NavLink}
                    to="/workers-tasks"
                    color="inherit"
                    size="large"
                >
                    Задачи сотрудников
                </Button>
                <Button
                    component={NavLink}
                    to="/sign-up"
                    color="inherit"
                    size="large"
                >
                    Создать сотрудника
                </Button>
                <Button
                    component={NavLink}
                    to="/profile/test"
                    color="inherit"
                    size="large"
                >
                    Профиль
                </Button>
            </Toolbar>
        </AppBar>
    </Box>
};

export default AppToolbar;
